Skip to main content
Resource Center/Network Service/Network Service Operations/VIP Operations

ChangeVipState

ChangeVipState

PUT/zstack/v1/vips/{uuid}/actions

Operation ID

ChangeVipState

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The resource UUID.

Body Fields

  • stateEvent
    StringRequired

    The state event.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    VipInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • l3NetworkUuid
      StringRequired

      The L3 network UUID.

    • ip
      StringRequired

      The IP address of the IPv4 type.

    • state
      StringRequired

      The state of the VIP, including Enabled and Enabled.

    • gateway
      StringRequired

      The gateway.

    • netmask
      StringRequired

      The netmask.

    • prefixLen
      StringRequired

      The prefix length.

    • serviceProvider
      StringRequired

      The service provider that provides the VIP service.

    • peerL3NetworkUuid
      StringRequired

      The L3 private network UUID or the VPC L3 network UUID.

    • useFor
      StringRequired

      The usage, such as port forwarding.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.